[OpenWrt-Devel] [PATCH] base-files: fwtool: Fix wrong checksum on combined-image with metadata
Petr Štetiar
ynezz at true.cz
Fri Nov 9 06:27:12 EST 2018
From: Petr Štetiar <pstetiar at ext.nomosphere.fr>
If I create following image:
define Device/engenius-m36
IMAGE/sysupgrade.bin := combined-image | append-metadata
endef
Sysupgrade then errors out:
Invalid image. Contents do not match checksum (image:cd285595eaf297370404ae0e2815ec1a calculated:2cf9a2286fb6b01af3ea189128017d44)
Image check 'platform_check_image' failed.
By removing the metadata from the image I get combined-image checksum
working again and sysupgrade works.
Signed-off-by: Petr Štetiar <ynezz at true.cz>
---
package/base-files/files/lib/upgrade/fwtool.sh | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/package/base-files/files/lib/upgrade/fwtool.sh b/package/base-files/files/lib/upgrade/fwtool.sh
index 3f28fcc..e0e5c96 100644
--- a/package/base-files/files/lib/upgrade/fwtool.sh
+++ b/package/base-files/files/lib/upgrade/fwtool.sh
@@ -28,7 +28,7 @@ fwtool_check_image() {
. /usr/share/libubox/jshn.sh
- if ! fwtool -q -i /tmp/sysupgrade.meta "$1"; then
+ if ! fwtool -q -t -i /tmp/sysupgrade.meta "$1"; then
echo "Image metadata not found"
[ "$REQUIRE_IMAGE_METADATA" = 1 -a "$FORCE" != 1 ] && {
echo "Use sysupgrade -F to override this check when downgrading or flashing to vendor firmware"
--
1.9.1
_______________________________________________
openwrt-devel mailing list
openwrt-devel at lists.openwrt.org
https://lists.openwrt.org/mailman/listinfo/openwrt-devel
More information about the openwrt-devel
mailing list